### Virtual Method

# Gio DBusInterfaceSkeleton get_vtable

since: 2.30

#### Declaration

    GDBusInterfaceVTable*
    get_vtable (
      GDBusInterfaceSkeleton* interface_
    )

#### Description

Gets the interface vtable for the D-Bus interface implemented by `interface_`. The returned function pointers should expect `interface_` itself to be passed as `user_data`.

Available since: 2.30

#### Return value

Type: `GDBusInterfaceVTable`

The vtable of the D-Bus interface implemented by the skeleton.

The returned data is owned by the instance.